Bug 653041 - ERROR with rpm_check_debug vs depsolve
Summary: ERROR with rpm_check_debug vs depsolve
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.8
Hardware: i686
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 07:58 UTC by Modrone
Modified: 2014-01-21 06:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 17:11:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Modrone 2010-11-14 07:58:05 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

[root@pcbureau ~]# yum update
Loaded plugins: fastestmirror, priorities
Determining fastest mirrors
 * base: mirror.ovh.net
 * extras: mirror.ovh.net
 * rpmforge: apt.sw.be
 * updates: mirror.ovh.net
base                                                     | 2.1 kB     00:00     
extras                                                   | 2.1 kB     00:00     
rpmforge                                                 | 1.1 kB     00:00     
rpmforge/primary                                                                                                                                                                                                      |  94 kB     00:00     
rpmforge                                                                                                                                                                                                                             391/391
updates                                                                                                                                                                                                               | 1.9 kB     00:00     
updates/primary_db                                                                                                                                                                                                    | 816 kB     00:03     
1 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package apr.i386 0:1.2.7-11.el5_5.3 set to be updated
---> Package cups.i386 1:1.3.7-18.el5_5.8 set to be updated
---> Package cups-devel.i386 1:1.3.7-18.el5_5.8 set to be updated
---> Package cups-libs.i386 1:1.3.7-18.el5_5.8 set to be updated
---> Package e2fsprogs.i386 0:1.39-23.el5_5.1 set to be updated
---> Package e2fsprogs-devel.i386 0:1.39-23.el5_5.1 set to be updated
---> Package e2fsprogs-libs.i386 0:1.39-23.el5_5.1 set to be updated
---> Package gnome-screensaver.i386 0:2.16.1-8.el5_5.1 set to be updated
---> Package kernel-PAE.i686 0:2.6.18-194.26.1.el5 set to be installed
---> Package logrotate.i386 0:3.7.4-9.el5_5.2 set to be updated
---> Package pam.i386 0:0.99.6.2-6.el5_5.2 set to be updated
---> Package python.i386 0:2.4.3-27.el5_5.3 set to be updated
---> Package selinux-policy.noarch 0:2.4.6-279.el5_5.2 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.4.6-279.el5_5.2 set to be updated
---> Package thunderbird.i386 0:2.0.0.24-10.el5.centos set to be updated
---> Package xulrunner.i386 0:1.9.2.11-4.el5 set to be updated
extras/filelists_db                                                                                                                                                                                                   | 197 kB     00:01     
rpmforge/filelists                                                                                                                                                                                                    | 237 kB     00:01     
updates/filelists_db                                                                                                                                                                                                  | 3.7 MB     00:15     
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel-PAE.i686 0:2.6.18-194.11.4.el5 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                          Arch                                            Version                                                           Repository                                          Size
=============================================================================================================================================================================================================================================
Installing:
 kernel-PAE                                                       i686                                            2.6.18-194.26.1.el5                                               updates                                             17 M
Updating:
 apr                                                              i386                                            1.2.7-11.el5_5.3                                                  updates                                            123 k
 cups                                                             i386                                            1:1.3.7-18.el5_5.8                                                updates                                            3.1 M
 cups-devel                                                       i386                                            1:1.3.7-18.el5_5.8                                                updates                                             77 k
 cups-libs                                                        i386                                            1:1.3.7-18.el5_5.8                                                updates                                            199 k
 e2fsprogs                                                        i386                                            1.39-23.el5_5.1                                                   updates                                            977 k
 e2fsprogs-devel                                                  i386                                            1.39-23.el5_5.1                                                   updates                                            569 k
 e2fsprogs-libs                                                   i386                                            1.39-23.el5_5.1                                                   updates                                            118 k
 gnome-screensaver                                                i386                                            2.16.1-8.el5_5.1                                                  updates                                            1.8 M
 logrotate                                                        i386                                            3.7.4-9.el5_5.2                                                   updates                                             41 k
 pam                                                              i386                                            0.99.6.2-6.el5_5.2                                                updates                                            980 k
 python                                                           i386                                            2.4.3-27.el5_5.3                                                  updates                                            5.9 M
 selinux-policy                                                   noarch                                          2.4.6-279.el5_5.2                                                 updates                                            406 k
 selinux-policy-targeted                                          noarch                                          2.4.6-279.el5_5.2                                                 updates                                            1.2 M
 thunderbird                                                      i386                                            2.0.0.24-10.el5.centos                                            updates                                             24 M
 xulrunner                                                        i386                                            1.9.2.11-4.el5                                                    updates                                             12 M
Removing:
 kernel-PAE                                                       i686                                            2.6.18-194.11.4.el5                                               installed                                           44 M

Transaction Summary
=============================================================================================================================================================================================================================================
Install       1 Package(s)
Upgrade      15 Package(s)
Remove        1 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Total download size: 68 M
Is this ok [y/N]: y
Downloading Packages:
(1/16): logrotate-3.7.4-9.el5_5.2.i386.rpm                                                                                                                                                                            |  41 kB     00:00     
(2/16): cups-devel-1.3.7-18.el5_5.8.i386.rpm                                                                                                                                                                          |  77 kB     00:00     
(3/16): e2fsprogs-libs-1.39-23.el5_5.1.i386.rpm                                                                                                                                                                       | 118 kB     00:00     
(4/16): apr-1.2.7-11.el5_5.3.i386.rpm                                                                                                                                                                                 | 123 kB     00:00     
(5/16): cups-libs-1.3.7-18.el5_5.8.i386.rpm                                                                                                                                                                           | 199 kB     00:00     
(6/16): selinux-policy-2.4.6-279.el5_5.2.noarch.rpm                                                                                                                                                                   | 406 kB     00:01     
(7/16): e2fsprogs-devel-1.39-23.el5_5.1.i386.rpm                                                                                                                                                                      | 569 kB     00:02     
(8/16): e2fsprogs-1.39-23.el5_5.1.i386.rpm                                                                                                                                                                            | 977 kB     00:04     
(9/16): pam-0.99.6.2-6.el5_5.2.i386.rpm                                                                                                                                                                               | 980 kB     00:03     
(10/16): selinux-policy-targeted-2.4.6-279.el5_5.2.noarch.rpm                                                                                                                                                         | 1.2 MB     00:04     
(11/16): gnome-screensaver-2.16.1-8.el5_5.1.i386.rpm                                                                                                                                                                  | 1.8 MB     00:07     
(12/16): cups-1.3.7-18.el5_5.8.i386.rpm                                                                                                                                                                               | 3.1 MB     00:12     
(13/16): python-2.4.3-27.el5_5.3.i386.rpm                                                                                                                                                                             | 5.9 MB     00:24     
(14/16): xulrunner-1.9.2.11-4.el5.i386.rpm                                                                                                                                                                            |  12 MB     00:47     
(15/16): kernel-PAE-2.6.18-194.26.1.el5.i686.rpm                                                                                                                                                                      |  17 MB     01:11     
(16/16): thunderbird-2.0.0.24-10.el5.centos.i386.rpm                                                                                                                                                                  |  24 MB     01:41     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                        243 kB/s |  68 MB     04:46     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python-abi is needed by (installed) python-reportlab-1.20-3.fc3.1.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
[root@pcbureau ~]# 
  
Actual results:


Expected results:


Additional info:

Comment 1 James Antill 2010-11-15 17:11:12 UTC
This looks like your rpmdb is hosed in one of two ways:

1. You force installed something (less likely, I think). But try: package-cleanup --problems ... that should not show anything.

2. Your provides index is screwed, this happens often enough that newer yum now looks for it ... the only way to easily see it with the RHEL-5 version is something like:

  yum provides python-abi
  rpm -qa --provides | fgrep python-abi

...if the first doesn't show anything, and the second does then you can try: rpm --rebuilddb ... to fix the indexes.


Note You need to log in before you can comment on or make changes to this bug.